Host On-Demand Upgrade – Sunday, June 17, 2012

in Uncategorized
June 15th, 2012

Early Sunday morning, IS&T will upgrade the Host On-Demand service (used to connect to and use GALAXY) from version 10.0.1 to version 11.0.5. The new version will be available by 8:00 a.m. on the 17th. This update fully supports modern browsers, operating systems, and Java plugins, and it does not require any action on your part; the next time you launch HOD it should operate normally, although it may update a few files before opening.

Supported Browsers


  • Internet Explorer 6.0 or newer
  • Mozilla Firefox 1.5 through 12.0

Mac OS X

  • Safari 1.2 or newer
  • Mozilla Firefox 2.0 through 12.0

Supported Java 2 Plugins

  • Sun, IBM, and HP Java plugins 1.5.0. Sun 1.6.0
  • IBM 32-bit runtime Environment for Java 2, 1.5 and 1.6.

Though this new version of HOD will work on older browsers and Java versions, we highly recommend updating to the newest possible version of each to take advantage of important security updates. If you use any other applications that need Java, please check TechWeb for browser and Java compatibility.

For assistance updating your browser and Java plugins, contact the BUMC IT Service Desk online, via e-mail at, or by phone at (617) 638-5914. If your computer is managed by BUMC IT, the appropriate updates will be pushed to your computer during the next change window. If your school or department has dedicated IT support, contact them for help installing updates.


Original article from IS&T: